# std::length_error Class Reference

Inheritance diagram for std::length_error:

[legend]
Collaboration diagram for std::length_error:

[legend]
List of all members.

## Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 89 of file stdexcept.

The documentation for this class was generated from the following files:

- stdexcept
- stdexcept.cc